Bug 117129 - Libre office Swriter crashes when opening Microsot word doc in 97-2003 doc format
Summary: Libre office Swriter crashes when opening Microsot word doc in 97-2003 doc fo...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.2.1 release
Hardware: All All
: high normal
Assignee: Justin L
URL:
Whiteboard: target:6.1.0 target:6.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-04-20 19:53 UTC by NARAYAN
Modified: 2018-05-01 19:28 UTC (History)
5 users (show)

See Also:
Crash report or crash signature: ["SwWW8ImplReader::ImportGraf(SdrTextObj const *,SwFrameFormat const *)"]


Attachments
Document that causes the crash of entire libre office suite (241.00 KB, application/msword)
2018-04-22 19:01 UTC, NARAYAN
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NARAYAN 2018-04-20 19:53:20 UTC
Description:
i have a word doc file created in 97-2003 fomat. However every time i try to open it, all of libre office crashes. Including files i have opened in Scalc ,or other Libre office suite.

The document however opens perfectly with MS word viewer.

Note: The file contains various private information and I cannot upload it here, However I can send to a private email , provided IT is not posted publicly.


Steps to Reproduce:
1. Open a few scalc,sdraw, swriter docs
2. Now open one attachment I provide
3.Entire libre office suite crashes, bringing down everything


Actual Results:  
Entire libreoffice suite crashes and closes down. Information is NOT saved in other documents

Expected Results:
Only the component that is being opened, ie, the document must crash and other suite of software / documents must be isolated. 

This would be good case to identify and perhaps make libre office more robust and crash proof with isolation / ring fencing of crashes only to one particular instance of document operation.


Reproducible: Always


User Profile Reset: No



Additional Info:
I have a document that is causing this crash. I cannot however upload this as it has various personal information. SO I can only send to a bug developer as long as it is not publically posted.


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36
Comment 1 raal 2018-04-21 14:11:40 UTC
Please try remove any sensitive information before attaching it.
See
https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F
Thank you
Comment 2 NARAYAN 2018-04-22 19:01:47 UTC
Created attachment 141549 [details]
Document that causes the crash of entire libre office suite

Attached is the file. When I try to open this in libre office, all other documents opened in libre office such as scalc, sdraw, impress .. crash 
It generates dialog box to upload crash report. I hope it was somewhere received in the logs
Comment 3 Dieter Praas 2018-04-22 20:00:46 UTC
Crash in

Version: 6.1.0.0.alpha0+ (x64)
Build ID: 2325f9ac789cd12e5ecc9d239baf2558e1d678bb
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-04-05_00:37:47
Locale: en-US (de_DE); Calc: CL

but not in

Version: 5.4.6.2 (x64)
Build-ID: 4014ce260a04f1026ba855d3b8d91541c224eab8
CPU-Threads: 4; BS: Windows 6.19; UI-Render: Standard; 
Gebietsschema: en-US (de_DE); Calc: group
Comment 4 raal 2018-04-23 05:08:21 UTC
This seems to have begun at the below commit.
Adding Cc: to Justin Luth ; Could you possibly take a look at this one?
Thanks

89fd67b3edf4edb3e77c8b44c73ca0f5985776cf is the first bad commit
commit 89fd67b3edf4edb3e77c8b44c73ca0f5985776cf
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Wed Sep 13 04:20:23 2017 +0200

    source sha:ffc3358515799057e72379b76a1165c6ea5a9bd1

author	Justin Luth <justin_luth@sil.org>	2017-09-05 13:06:27 -0400
committer	Justin Luth <justin_luth@sil.org>	2017-09-13 04:16:39 +0200
commit	ffc3358515799057e72379b76a1165c6ea5a9bd1 (patch)
tree	8e11f55eecdfe2b463912851e909fe1e1a4fda8e
parent	33ead25229d308f98fa171412f2937ca0ba976e9 (diff)
tdf#75539 ww8import: fix horizontalLine percentage
Comment 5 Justin L 2018-04-23 09:13:34 UTC
Proposed fix: https://gerrit.libreoffice.org/53308
Comment 6 Commit Notification 2018-04-26 14:16:50 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b55701b88c42cac491587072f1f09522207de77&h=libreoffice-6-0

tdf#117129 ww8import: prevent divide-by-zero

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-04-26 18:18:53 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e450605d8a5675a8bbabfffe167a72286f1731a

tdf#117129 ww8import: prevent divide-by-zero

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-04-26 19:55:12 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=59d41f0bd54522a15e4177cbc9fda175b5190646&h=libreoffice-6-0-4

tdf#117129 ww8import: prevent divide-by-zero

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 NARAYAN 2018-05-01 18:29:55 UTC
Can the patch be applied to my Version: 6.0.3.2 (x64)
Build ID: 8f48d515416608e3a835360314dac7e47fd0b821
Comment 10 Xisco Faulí 2018-05-01 19:12:00 UTC
(In reply to NARAYAN from comment #9)
> Can the patch be applied to my Version: 6.0.3.2 (x64)
> Build ID: 8f48d515416608e3a835360314dac7e47fd0b821

You will have to wait until LibreOffice 6.0.4 is available next week
Comment 11 Xisco Faulí 2018-05-01 19:28:38 UTC
Verified in

Version: 6.1.0.0.alpha1+
Build ID: 43af818557904450b13839350c65ad865b9ee9d2
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Justin Luth, thank for fixing this!